# SimplePhpView Class Reference
[Spring-like webflow tools]

Inheritance diagram for SimplePhpView:
[legend]

List of all members.

## Public Member Functions

| __construct ($templatePath, ViewResolver $partViewResolver)
| render ($model=null)
| toString ($model=null)

## Protected Member Functions

| preRender ()
| postRender ()

## Protected Attributes

| $templatePath = null
| $partViewResolver = null

## Detailed Description

Definition at line 15 of file SimplePhpView.class.php.

## Constructor & Destructor Documentation

SimplePhpView::__construct | ( | $ | templatePath,
|  | ViewResolver $ | partViewResolver |
| ) |  |  |

Definition at line 20 of file SimplePhpView.class.php.

References $templatePath.

## Member Function Documentation

SimplePhpView::postRender | ( |  | ) | `[protected]`

Returns:
  SimplePhpView

Reimplemented in DebugPhpView.

Definition at line 65 of file SimplePhpView.class.php.

Referenced by render().

SimplePhpView::preRender | ( |  | ) | `[protected]`

Returns:
  SimplePhpView

Reimplemented in DebugPhpView.

Definition at line 57 of file SimplePhpView.class.php.

Referenced by render().

SimplePhpView::render | ( | $ | model = `null` | ) |

Returns:
  SimplePhpView

Reimplemented from EmptyView.

Definition at line 29 of file SimplePhpView.class.php.

References Assert::isTrue(), postRender(), and preRender().

Referenced by toString().

Here is the call graph for this function:

SimplePhpView::toString | ( | $ | model = `null` | ) |

Definition at line 47 of file SimplePhpView.class.php.

References render().

Here is the call graph for this function:

## Member Data Documentation

SimplePhpView::$partViewResolver = null`[protected]`

Definition at line 18 of file SimplePhpView.class.php.

SimplePhpView::$templatePath = null`[protected]`

Definition at line 17 of file SimplePhpView.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Flow/SimplePhpView.class.php